Get ENS Name By Address
POST
Returns the mapped ENS domain name by entering an address.
🚧 Seeing null even though the address has an ENS domain name?
Multiple domain names can point to a single address. This API returns only the name registered as the Primary Name. If you want to check all names, try Get Ens Records By Account!
🚧 Please verify the network when using!
This API is supported only on Ethereum Mainnet and cannot be used on other networks. Please verify the network when using.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.Responses
namestring
The ENS domain name mapped to the address. Returns null if no ENS domain is mapped to the address. If domain renewal or new registration does not occur after the expiry date, the previous domain name is displayed.expiryDatestring
Indicates the expiry date of the ENS domain. If domain renewal or new registration does not occur after the expiry date, the previous expiry date is returned.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/ethereum/mainnet/ens/getEnsNameByAddress' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}'